import type { IRushPlugin } from '@rushstack/rush-sdk';
import type { RushConfiguration } from '@rushstack/rush-sdk';
import type { RushSession } from '@rushstack/rush-sdk';

/**
 * Plugin that caches information from the package manager after installation to speed up resolution of imports.
 * @beta
 */
declare class RushResolverCachePlugin implements IRushPlugin {
    readonly pluginName: 'RushResolverCachePlugin';
    apply(rushSession: RushSession, rushConfiguration: RushConfiguration): void;
}
export default RushResolverCachePlugin;

export { }
